# Generated by Django 4.2.3 on 2023-12-29 09:39

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("app_model", "0013_abtest_content_abtest_title_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="DietPlanCreateOption",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("code", models.IntegerField(unique=True)),
                ("display", models.CharField(help_text="보여질 내용", max_length=100)),
                ("is_shown", models.BooleanField(default=True)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
            ],
            options={
                "db_table": "health_dietplancreateoption",
            },
        ),
        migrations.CreateModel(
            name="UserDietPlanCreateOptionRelation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                (
                    "options",
                    models.ManyToManyField(
                        default=None,
                        null=True,
                        related_name="user_rels",
                        to="app_model.dietplancreateoption",
                    ),
                ),
                (
                    "user",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="diet_plan_create_option_rel",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "db_table": "health_userdietplancreateoptionrelation",
            },
        ),
        migrations.CreateModel(
            name="UserDietPlanCreateOptionLog",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "log_type",
                    models.IntegerField(
                        choices=[(0, "미정"), (1, "설정"), (-1, "해제")], default=0
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                (
                    "option",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="user_logs",
                        to="app_model.dietplancreateoption",
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="diet_plan_create_option_logs",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "db_table": "health_userdietplancreateoptionlog",
            },
        ),
    ]
